generateUnsignedTransactionAndSigningPayloads

Payloads is called with an array of operations
and the response from /construction/metadata. It returns an
unsigned transaction blob and a collection of payloads that must
be signed by particular AccountIdentifiers using a certain SignatureType.

The array of operations provided in transaction construction often times
can not specify all "effects" of a transaction (consider invoked transactions
in Ethereum). However, they can deterministically specify the "intent"
of the transaction, which is sufficient for construction. For this reason,
parsing the corresponding transaction in the Data API (when it lands on chain)
will contain a superset of whatever operations were provided during construction.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

ConstructionPayloadsRequest is the request to
/construction/payloads. It contains the network,
a slice of operations, and arbitrary metadata
that was returned by the call to /construction/metadata.

Optionally, the request can also include an array
of PublicKeys associated with the AccountIdentifiers
returned in ConstructionPreprocessResponse.

network_identifier
object
required

The network_identifier specifies which network a particular object is associated with.

operations
array of objects
required
operations*
metadata
object
public_keys
array of objects
public_keys
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json